lkml.org 
[lkml]   [2016]   [Sep]   [2]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
/
From
Date
SubjectRe: drm: WARNING in ioremap_wc
Hey

On Fri, Sep 2, 2016 at 2:23 PM, Dmitry Vyukov <dvyukov@google.com> wrote:
> On Mon, Aug 29, 2016 at 8:05 AM, Daniel Vetter <daniel@ffwll.ch> wrote:
>> On Sun, Aug 28, 2016 at 07:36:59PM +0200, Dmitry Vyukov wrote:
>>> Hello,
>>>
>>> The following program triggers WARNING in ioremap_wc:
>>
>> Yup, that should also be fixed in linux-next. Probably better to not
>> report more for 4.8-rc kernels for now ;-)
>>
>> If you have some time to test, you need to cherry pick the following two
>> patches I think:
>>
>> fa5386459f06 ("drm: Used DRM_LEGACY for all legacy functions")
>> 3cbf6a5deb2f ("drm: Mark up legacy/dri1 drivers with DRM_LEGACY")
>>
>> If that's confirmed we can cherry-pick them over to -fixes.
>
>
> Hi Daniel,
>
> I've switched to linux-next and don't see the WARNINGs anymore.
> I wonder how they were discovered? Is somebody else running syzkaller?
> Or they were discovered in some other way?

We independently discovered that some DRM-KMS drivers enabled the DRI1
ioctls, and fixed this. Hence, you should be unable to trigger
anything in drm_bufs.c, drm_context.c, and friends.

Thanks
David

\
 
 \ /
  Last update: 2016-09-17 09:58    [W:0.056 / U:0.076 seconds]
©2003-2020 Jasper Spaans|hosted at Digital Ocean and TransIP|Read the blog|Advertise on this site